Bug 101972 - RecordSet.load fails with aggressive loading
RecordSet.load fails with aggressive loading
Status: CLOSED WONTFIX
Product: Red Hat Web Application Framework
Classification: Retired
Component: persistence (Show other bugs)
nightly
All Linux
medium Severity high
: ---
: ---
Assigned To: Rafael H. Schloming
Jon Orris
:
Depends On:
Blocks: 101458
  Show dependency treegraph
 
Reported: 2003-08-08 10:00 EDT by Carsten Clasohm
Modified: 2014-12-01 18:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 04:59:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
JSP to reproduce the problem (3.99 KB, text/plain)
2003-08-08 10:01 EDT, Carsten Clasohm
no flags Details
JSP to reproduce the problem (3.86 KB, text/plain)
2003-08-08 10:02 EDT, Carsten Clasohm
no flags Details

  None (edit)
Description Carsten Clasohm 2003-08-08 10:00:29 EDT
Description of problem:

A customer is trying to use CategoryTemplateMapping.getTemplates(Category,
ContentType), and gets the IllegalStateException "container is null but value
isn't" when he calls next() for the returned collection. This happens in
RecordSet.load().

Adding a few log commands in the last for loop of load() showed that this
exception is raised for the field template.name, which is marked with
"aggressive load" in Template.pdl. After removing this field from the aggressive
load list, the exception was raised for contentType.label. Completely removing
the aggressive load statement for CategoryTemplateMapping fixed this problem.

How reproducible:
Always

Steps to Reproduce:

The attached JSP can be used to reproduce this problem. The three IDs at the
start have to be changed to match an existing category, content type and content
section. First invoke the script with "?task=add" to create the template
mapping, and then invoke it with "?task=view" to see the error.


Additional info:

[2003/08/08 15:56:37] container is null but value isn't
java.lang.IllegalStateException: container is null but value isn't
	at com.redhat.persistence.RecordSet.load(RecordSet.java:136)
	at com.redhat.persistence.Cursor.next(Cursor.java:98)
	at com.arsdigita.persistence.DataQueryImpl.next(DataQueryImpl.java:431)
	at com.arsdigita.domain.DomainQuery.next(DomainQuery.java:84)
	at _testTemplate__jsp._jspService(_testTemplate__jsp.java:131)
Comment 1 Carsten Clasohm 2003-08-08 10:01:22 EDT
Created attachment 93521 [details]
JSP to reproduce the problem
Comment 2 Carsten Clasohm 2003-08-08 10:02:51 EDT
Created attachment 93522 [details]
JSP to reproduce the problem
Comment 3 Carsten Clasohm 2006-07-12 04:59:07 EDT
Closing old tickets.

Note You need to log in before you can comment on or make changes to this bug.